.item-card {
  position: relative;
  z-index: 1;
  padding-top: 1.875rem;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 3.125rem; }
  @media screen and (min-width: 1921px) {
    .item-card {
      padding-top: 1.5625vw;
      gap: 2.60417vw; } }
  @media screen and (max-width: 1700px) {
    .item-card {
      padding-top: 0;
      gap: 1.5625rem; } }
  @media screen and (max-width: 1240px) {
    .item-card {
      gap: 1.875rem; } }
  .item-card__header {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    gap: 3.125rem; }
    @media screen and (min-width: 1921px) {
      .item-card__header {
        gap: 2.60417vw; } }
    @media screen and (max-width: 1700px) {
      .item-card__header {
        gap: 1.875rem; } }
    @media screen and (max-width: 1240px) {
      .item-card__header {
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
        gap: 0.9375rem; } }
    .item-card__header .product-card__button {
      width: -webkit-fit-content;
      width: -moz-fit-content;
      width: fit-content; }
      @media screen and (max-width: 750px) {
        .item-card__header .product-card__button {
          width: 100%; } }
  .item-card__prices {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start; }
    @media screen and (max-width: 1240px) {
      .item-card__prices {
        gap: 0.125rem; } }
    @media screen and (max-width: 750px) {
      .item-card__prices {
        gap: 0.1875rem; } }
    .item-card__prices .price {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
          -ms-flex-direction: row;
              flex-direction: row;
      -webkit-box-align: center;
          -ms-flex-align: center;
              align-items: center;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start;
      -ms-flex-wrap: wrap;
          flex-wrap: wrap;
      row-gap: 0;
      -webkit-column-gap: 1.125rem;
         -moz-column-gap: 1.125rem;
              column-gap: 1.125rem; }
      @media screen and (min-width: 1921px) {
        .item-card__prices .price {
          -webkit-column-gap: 1.125rem;
             -moz-column-gap: 1.125rem;
                  column-gap: 1.125rem; } }
      @media screen and (max-width: 750px) {
        .item-card__prices .price {
          row-gap: 0;
          -webkit-column-gap: 0.9375rem;
             -moz-column-gap: 0.9375rem;
                  column-gap: 0.9375rem; } }
      .item-card__prices .price__text {
        color: var(--bg-light);
        white-space: nowrap; }
      .item-card__prices .price__old {
        color: var(--text-light-secondary);
        white-space: nowrap; }
  .item-card__credit {
    width: 100%;
    display: block;
    color: var(--bg-light);
    font: var(--font-body-M-r); }
  .item-card__footer {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 1.875rem; }
    @media screen and (min-width: 1921px) {
      .item-card__footer {
        gap: 1.5625vw; } }
  .item-card__links {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 1.25rem; }
    @media screen and (min-width: 1921px) {
      .item-card__links {
        gap: 1.04167vw; } }
  .item-card__additional {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.25rem; }
    @media screen and (min-width: 1921px) {
      .item-card__additional {
        gap: 1.04167vw; } }
    @media screen and (max-width: 1700px) {
      .item-card__additional {
        margin-bottom: 0;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        grid-template-columns: 1fr;
        gap: 0.625rem; } }
    .item-card__additional .advantage-card-small {
      max-width: unset; }

.item-form {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 1.25rem; }
  @media screen and (min-width: 1921px) {
    .item-form {
      gap: 1.04167vw; } }
  @media screen and (max-width: 1700px) {
    .item-form {
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      gap: 1.875rem; } }
  @media screen and (max-width: 1240px) {
    .item-form {
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
          -ms-flex-direction: row;
              flex-direction: row;
      gap: 1.25rem; } }
  @media screen and (max-width: 750px) {
    .item-form {
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column; } }
  .item-form__submit {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 0.625rem; }
    @media screen and (min-width: 1921px) {
      .item-form__submit {
        gap: 0.52083vw; } }
    @media screen and (max-width: 1700px) {
      .item-form__submit {
        gap: 1.25rem; } }
    @media screen and (max-width: 1240px) {
      .item-form__submit {
        gap: 0.625rem; } }
    @media screen and (max-width: 750px) {
      .item-form__submit {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column; } }
  .item-form .text-input {
    width: 100%; }
  .item-form .button {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content; }
    @media screen and (max-width: 750px) {
      .item-form .button {
        width: 100%; } }

.item-payment {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 1.25rem; }
  @media screen and (min-width: 1921px) {
    .item-payment {
      gap: 1.04167vw; } }
  @media screen and (max-width: 750px) {
    .item-payment {
      gap: 0.625rem; } }
  .item-payment__title {
    color: var(--text-light-secondary);
    font: var(--font-body-M-r); }
  .item-payment__list {
    margin: 0;
    padding: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    gap: 0.4375rem;
    list-style: none;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none; }
    @media screen and (min-width: 1921px) {
      .item-payment__list {
        gap: 0.36458vw; } }

.item-table {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 0.9375rem; }
  @media screen and (min-width: 1921px) {
    .item-table {
      gap: 0.78125vw; } }
  .item-table__table {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column; }
    .item-table__table tbody {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start; }
    .item-table__table tr {
      padding: 0.9375rem 0;
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
          -ms-flex-direction: row;
              flex-direction: row;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: justify;
          -ms-flex-pack: justify;
              justify-content: space-between;
      gap: 1.875rem;
      border: solid 0 var(--stroke-dark);
      border-bottom-width: 1px; }
      @media screen and (min-width: 1921px) {
        .item-table__table tr {
          padding: 0.78125vw 0;
          gap: 1.5625vw;
          border-bottom-width: 0.05208vw; } }
      @media screen and (max-width: 1700px) {
        .item-table__table tr {
          gap: 1.4375rem; } }
      .item-table__table tr:first-child {
        padding-top: 0; }
        @media screen and (max-width: 1700px) {
          .item-table__table tr:first-child {
            padding-top: 0.9375rem; } }
      .item-table__table tr:last-child {
        text-align: end; }
    .item-table__table td {
      color: var(--text-light-primary);
      font: var(--font-body-M-r); }
      .item-table__table td:first-child {
        color: var(--text-light-secondary); }
  .item-table__link {
    margin-bottom: 0.9375rem;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    display: block;
    color: var(--accent-primary-default);
    font: var(--font-body-M-r);
    -webkit-text-decoration-style: none;
            text-decoration-style: none;
    text-decoration-thickness: 1px;
    -webkit-text-decoration-skip-ink: none;
            text-decoration-skip-ink: none;
    text-underline-position: from-font;
    -webkit-transition: color var(--animation-default);
    transition: color var(--animation-default);
    cursor: pointer; }
    @media screen and (min-width: 1921px) {
      .item-table__link {
        margin-bottom: 0.78125vw; } }
    @media (any-hover: hover) {
      .item-table__link:hover {
        color: var(--text-light-primary); } }

.item-form-t2 {
  padding: 1.875rem;
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 1.875rem;
  border: 1px solid var(--stroke-dark);
  border-radius: var(--radius-primary); }
  @media screen and (min-width: 1921px) {
    .item-form-t2 {
      padding: 1.5625vw;
      gap: 1.5625vw; } }
  @media screen and (max-width: 1700px) {
    .item-form-t2 {
      padding: 1.25rem; } }
  .item-form-t2__header {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 0.625rem; }
    @media screen and (min-width: 1921px) {
      .item-form-t2__header {
        gap: 0.52083vw; } }
    .item-form-t2__header .price {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start; }
      .item-form-t2__header .price__text {
        color: var(--bg-light);
        white-space: nowrap; }
      .item-form-t2__header .price__old {
        color: var(--text-light-secondary);
        white-space: nowrap; }
    .item-form-t2__header .button {
      margin-top: 1.25rem;
      width: 100%; }
      @media screen and (min-width: 1921px) {
        .item-form-t2__header .button {
          margin-top: 1.04167vw; } }
  .item-form-t2__submit {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 0.625rem; }
    @media screen and (min-width: 1921px) {
      .item-form-t2__submit {
        gap: 0.52083vw; } }
  .item-form-t2__button {
    width: 100%; }
  .item-form-t2__rating {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 0.375rem; }
    @media screen and (min-width: 1921px) {
      .item-form-t2__rating {
        gap: 0.3125vw; } }
    .item-form-t2__rating-reviews {
      color: var(--accent-primary-default);
      font: var(--font-body-M-r);
      text-decoration: none; }
    .item-form-t2__rating-value {
      color: var(--text-light-secondary);
      font: var(--font-body-M-r); }
    .item-form-t2__rating-star {
      width: 1.5rem;
      height: 1.5rem;
      fill: var(--system-states-validation); }
      @media screen and (min-width: 1921px) {
        .item-form-t2__rating-star {
          width: 1.25vw;
          height: 1.25vw; } }
    .item-form-t2__rating-dot {
      width: 0.25rem;
      height: 0.25rem;
      display: block;
      background-color: var(--text-light-secondary);
      border-radius: var(--radius-infinity); }
      @media screen and (min-width: 1921px) {
        .item-form-t2__rating-dot {
          width: 0.20833vw;
          height: 0.20833vw; } }

.delivery {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: 0.875rem; }
  @media screen and (min-width: 1921px) {
    .delivery {
      gap: 0.72917vw; } }
  .delivery__city {
    color: var(--text-light-primary);
    font: var(--font-body-M-m); }
    .delivery__city b {
      color: var(--stroke-accent);
      font: inherit; }
  .delivery__option {
    margin-bottom: 0.875rem;
    color: var(--text-light-primary);
    font: var(--font-body-M-r); }
    @media screen and (min-width: 1921px) {
      .delivery__option {
        margin-bottom: 0.72917vw; } }
  .delivery__title {
    color: var(--text-light-primary);
    font: inherit; }
    .delivery__title b {
      color: var(--accent-secondary-default);
      font: inherit; }
  .delivery__date {
    margin-bottom: 0.875rem;
    color: var(--text-light-secondary);
    font: inherit; }
    @media screen and (min-width: 1921px) {
      .delivery__date {
        margin-bottom: 0.72917vw; } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
